#!/bin/bash

set -e

build () {
  pushd ./src &>/dev/null

#  go get honnef.co/go/tools/cmd/staticcheck
  go mod tidy

  gofmt -w .
#  staticcheck .
  CGO_ENABLED=1 go build -o ./kavea -v .
  
  popd &>/dev/null
}

run () {
  ./src/kavea
}

release () {
  build
}


$@
